We recommend using the current stable release (currently Debian 9 "Stretch") for new installations, but it is still possible to install Debian 8 "Jessie" during its Long Term Support (LTS) period.

  1. Make sure the conditions of LTS fit your system (limited architectures, several unsupported packages). Read the LTS FAQ.

  2. Download the install medium from https://www.debian.org/releases/jessie/debian-installer/ .

  3. Start installing as usual. Help may be found under
  4. Reboot and login as root.
  5. Install security updates that depend on new packages:
    • apt-get upgrade --with-new-pkgs
  6. Reboot again, and login as root.
  7. Install debian-security-support. check-support-status is run as a trigger when installing packages. You can also run check-support-status manually to check if your package selection is supported. (see LTS/Using#Check_for_unsupported_packages and the man page of check-support-status(1))

    • apt-get install debian-security-support
      check-support-status
  8. Subscribe to the debian-lts-announce mailinglist to get important information about new uploads and the status of the LTS distribution.

See also LTS/Using#What_can_I_do_if_security_support_for_a_package_has_ended?


CategoryLts